datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingdrosophila10rdmentrezg <- function() showQCData("tilingdrosophila10rdmentrezg", datacache)
tilingdrosophila10rdmentrezg_dbconn <- function() dbconn(datacache)
tilingdrosophila10rdmentrezg_dbfile <- function() dbfile(datacache)
tilingdrosophila10rdmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingdrosophila10rdmentrezg_dbInfo <- function() dbInfo(datacache)

tilingdrosophila10rdmentrezgORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingdrosophila10rdmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "tilingdrosophila10rdmentrezg", "chip tilingdrosophila10rdmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingdrosophila10rdmentrezg_dbconn())
}

